%bcond_without check

%global goipath         gopkg.in/jcmturner/aescts.v1
%global forgeurl        https://github.com/jcmturner/aescts
Version:                1.0.1

%gometa

%global common_description %{expand:
AES CBC Ciphertext Stealing mode for Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        AES CBC Ciphertext Stealing mode for Go

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-1
- initial build
